# tronconneuse.hpp File Reference

defines a block structured file. More...

`#include "../my_config.h"`
`#include <string>`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`

Go to the source code of this file.

## Classes
class | libdar::tronconneuse
| this is a partial implementation of the generic_file interface to encrypt/decrypt data block by block. More...
## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

defines a block structured file.

Mainly used for strong encryption.

Definition in file tronconneuse.hpp.